diff -aruN --binary 15/libraries/joomla/plugin/plugin.php 16/libraries/joomla/plugin/plugin.php
--- 15/libraries/joomla/plugin/plugin.php	2009-05-29 13:54:22.000000000 +0200
+++ 16/libraries/joomla/plugin/plugin.php	2010-04-23 13:40:18.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
-* @version		$Id: plugin.php 10707 2008-08-21 09:52:47Z eddieajau $
+* @version		$Id: plugin.php 14401 2010-01-26 14:10:00Z louis $
 * @package		Joomla.Framework
 * @subpackage	Plugin
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/libraries/joomla/registry/format/ini.php 16/libraries/joomla/registry/format/ini.php
--- 15/libraries/joomla/registry/format/ini.php	2009-05-29 13:54:30.000000000 +0200
+++ 16/libraries/joomla/registry/format/ini.php	2010-04-23 13:40:18.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
- * @version		$Id: ini.php 10707 2008-08-21 09:52:47Z eddieajau $
+ * @version		$Id: ini.php 14401 2010-01-26 14:10:00Z louis $
  * @package		Joomla.Framework
  * @subpackage	Registry
- * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+ * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
  * Joomla! is free software. This version may have been modified pursuant
  * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/libraries/joomla/registry/format/php.php 16/libraries/joomla/registry/format/php.php
--- 15/libraries/joomla/registry/format/php.php	2009-11-04 18:51:20.000000000 +0100
+++ 16/libraries/joomla/registry/format/php.php	2010-04-23 13:40:18.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
- * @version		$Id: php.php 12849 2009-09-25 16:47:54Z ian $
+ * @version		$Id: php.php 14401 2010-01-26 14:10:00Z louis $
  * @package		Joomla.Framework
  * @subpackage	Registry
- * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+ * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
  * Joomla! is free software. This version may have been modified pursuant
  * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/libraries/joomla/registry/format/xml.php 16/libraries/joomla/registry/format/xml.php
--- 15/libraries/joomla/registry/format/xml.php	2009-05-29 13:54:30.000000000 +0200
+++ 16/libraries/joomla/registry/format/xml.php	2010-04-23 13:40:18.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
- * @version		$Id: xml.php 10707 2008-08-21 09:52:47Z eddieajau $
+ * @version		$Id: xml.php 14401 2010-01-26 14:10:00Z louis $
  * @package		Joomla.Framework
  * @subpackage	Registry
- * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+ * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
  * Joomla! is free software. This version may have been modified pursuant
  * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/libraries/joomla/registry/format.php 16/libraries/joomla/registry/format.php
--- 15/libraries/joomla/registry/format.php	2009-05-29 13:54:30.000000000 +0200
+++ 16/libraries/joomla/registry/format.php	2010-04-23 13:40:18.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
- * @version		$Id: format.php 10707 2008-08-21 09:52:47Z eddieajau $
+ * @version		$Id: format.php 14401 2010-01-26 14:10:00Z louis $
  * @package		Joomla.Framework
  * @subpackage	Registry
- * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+ * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
  * Joomla! is free software. This version may have been modified pursuant
  * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/libraries/joomla/registry/registry.php 16/libraries/joomla/registry/registry.php
--- 15/libraries/joomla/registry/registry.php	2009-05-29 13:54:30.000000000 +0200
+++ 16/libraries/joomla/registry/registry.php	2010-04-23 13:40:18.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
- * @version		$Id: registry.php 10815 2008-08-27 01:15:56Z tcp $
+ * @version		$Id: registry.php 14401 2010-01-26 14:10:00Z louis $
  * @package		Joomla.Framework
  * @subpackage	Registry
- * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+ * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
  * Joomla! is free software. This version may have been modified pursuant
  * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/libraries/joomla/session/session.php 16/libraries/joomla/session/session.php
--- 15/libraries/joomla/session/session.php	2009-11-04 18:51:20.000000000 +0100
+++ 16/libraries/joomla/session/session.php	2010-04-23 13:40:18.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
-* @version		$Id: session.php 12694 2009-09-11 21:03:02Z ian $
+* @version		$Id: session.php 16385 2010-04-23 10:44:15Z ian $
 * @package		Joomla.Framework
 * @subpackage	Session
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
@@ -521,6 +521,9 @@
 		// create new session id
 		$id	=	$this->_createId( strlen( $this->getId() ) );
 
+		// first we grab the session data
+		$data = $this->_store->read($this->getId());
+
 		// kill session
 		session_destroy();
 
@@ -534,7 +537,10 @@
 		// restart session with new id
 		session_id( $id );
 		session_start();
+		$_SESSION = $values;
 
+		//now we put the session data back
+		$this->_store->write($id, $data);
 		return true;
 	}
 
diff -aruN --binary 15/libraries/joomla/session/storage/apc.php 16/libraries/joomla/session/storage/apc.php
--- 15/libraries/joomla/session/storage/apc.php	2009-05-29 13:54:22.000000000 +0200
+++ 16/libraries/joomla/session/storage/apc.php	2010-04-23 13:40:18.000000000 +0200
@@ -3,7 +3,7 @@
 * @version		$Id:apc.php 6961 2007-03-15 16:06:53Z tcp $
 * @package		Joomla.Framework
 * @subpackage	Session
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/libraries/joomla/session/storage/database.php 16/libraries/joomla/session/storage/database.php
--- 15/libraries/joomla/session/storage/database.php	2009-05-29 13:54:22.000000000 +0200
+++ 16/libraries/joomla/session/storage/database.php	2010-04-23 13:40:18.000000000 +0200
@@ -3,7 +3,7 @@
 * @version		$Id:database.php 6961 2007-03-15 16:06:53Z tcp $
 * @package		Joomla.Framework
 * @subpackage	Session
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
@@ -87,9 +87,17 @@
 		}
 
 		$session = & JTable::getInstance('session');
-		$session->load($id);
-		$session->data = $session_data;
-		$session->store();
+		if ($session->load($id)) {
+			$session->data = $session_data;
+			$session->store();
+		} else {
+			// if load failed then we assume that it is because
+			// the session doesn't exist in the database
+			// therefore we use insert instead of store
+			$app = &JFactory::getApplication();
+			$session->data = $session_data;
+			$session->insert($id, $app->getClientId());
+		}
 
 		return true;
 	}
diff -aruN --binary 15/libraries/joomla/session/storage/eaccelerator.php 16/libraries/joomla/session/storage/eaccelerator.php
--- 15/libraries/joomla/session/storage/eaccelerator.php	2009-05-29 13:54:22.000000000 +0200
+++ 16/libraries/joomla/session/storage/eaccelerator.php	2010-04-23 13:40:18.000000000 +0200
@@ -3,7 +3,7 @@
 * @version		$Id:eaccelerator.php 6961 2007-03-15 16:06:53Z tcp $
 * @package		Joomla.Framework
 * @subpackage	Session
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/libraries/joomla/session/storage/memcache.php 16/libraries/joomla/session/storage/memcache.php
--- 15/libraries/joomla/session/storage/memcache.php	2009-05-29 13:54:22.000000000 +0200
+++ 16/libraries/joomla/session/storage/memcache.php	2010-04-23 13:40:18.000000000 +0200
@@ -3,7 +3,7 @@
 * @version		$Id:eaccelerator.php 6961 2007-03-15 16:06:53Z tcp $
 * @package		Joomla.Framework
 * @subpackage	Session
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/libraries/joomla/session/storage/none.php 16/libraries/joomla/session/storage/none.php
--- 15/libraries/joomla/session/storage/none.php	2009-05-29 13:54:22.000000000 +0200
+++ 16/libraries/joomla/session/storage/none.php	2010-04-23 13:40:18.000000000 +0200
@@ -3,7 +3,7 @@
 * @version		$Id:none.php 6961 2007-03-15 16:06:53Z tcp $
 * @package		Joomla.Framework
 * @subpackage	Session
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/libraries/joomla/session/storage/xcache.php 16/libraries/joomla/session/storage/xcache.php
--- 15/libraries/joomla/session/storage/xcache.php	2009-05-29 13:54:22.000000000 +0200
+++ 16/libraries/joomla/session/storage/xcache.php	2010-04-23 13:40:18.000000000 +0200
@@ -3,7 +3,7 @@
 * @version		$Id:apc.php 6961 2007-03-15 16:06:53Z tcp $
 * @package		Joomla.Framework
 * @subpackage	Session
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/libraries/joomla/session/storage.php 16/libraries/joomla/session/storage.php
--- 15/libraries/joomla/session/storage.php	2009-05-29 13:54:22.000000000 +0200
+++ 16/libraries/joomla/session/storage.php	2010-04-23 13:40:18.000000000 +0200
@@ -3,7 +3,7 @@
 * @version		$Id:sessionstorage.php 6961 2007-03-15 16:06:53Z tcp $
 * @package		Joomla.Framework
 * @subpackage	Session
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/libraries/joomla/user/authentication.php 16/libraries/joomla/user/authentication.php
--- 15/libraries/joomla/user/authentication.php	2009-05-29 13:54:34.000000000 +0200
+++ 16/libraries/joomla/user/authentication.php	2010-04-23 13:40:18.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
- * @version		$Id: authentication.php 10381 2008-06-01 03:35:53Z pasamio $
+ * @version		$Id: authentication.php 14401 2010-01-26 14:10:00Z louis $
  * @package		Joomla.Framework
  * @subpackage	User
- * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+ * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
  * Joomla! is free software. This version may have been modified pursuant
  * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/libraries/joomla/user/authorization.php 16/libraries/joomla/user/authorization.php
--- 15/libraries/joomla/user/authorization.php	2009-07-23 03:25:36.000000000 +0200
+++ 16/libraries/joomla/user/authorization.php	2010-04-23 13:40:18.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
-* @version		$Id: authorization.php 12542 2009-07-22 17:40:48Z ian $
+* @version		$Id: authorization.php 14401 2010-01-26 14:10:00Z louis $
 * @package		Joomla.Framework
 * @subpackage	User
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/libraries/joomla/user/helper.php 16/libraries/joomla/user/helper.php
--- 15/libraries/joomla/user/helper.php	2009-11-04 18:51:20.000000000 +0100
+++ 16/libraries/joomla/user/helper.php	2010-04-23 13:40:18.000000000 +0200
@@ -3,7 +3,7 @@
 * @version		$Id:helper.php 6961 2007-03-15 16:06:53Z tcp $
 * @package		Joomla.Framework
 * @subpackage	User
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/libraries/joomla/user/user.php 16/libraries/joomla/user/user.php
--- 15/libraries/joomla/user/user.php	2009-05-29 13:54:34.000000000 +0200
+++ 16/libraries/joomla/user/user.php	2010-04-23 13:40:18.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
- * @version		$Id: user.php 11688 2009-03-13 02:05:56Z ian $
+ * @version		$Id: user.php 14401 2010-01-26 14:10:00Z louis $
  * @package		Joomla.Framework
  * @subpackage	User
- * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+ * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
  * Joomla! is free software. This version may have been modified pursuant to the
  * GNU General Public License, and as distributed it includes or is derivative
diff -aruN --binary 15/libraries/joomla/utilities/arrayhelper.php 16/libraries/joomla/utilities/arrayhelper.php
--- 15/libraries/joomla/utilities/arrayhelper.php	2009-11-04 18:51:20.000000000 +0100
+++ 16/libraries/joomla/utilities/arrayhelper.php	2010-04-23 13:40:18.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
- * @version		$Id: arrayhelper.php 13341 2009-10-27 03:03:54Z ian $
+ * @version		$Id: arrayhelper.php 14401 2010-01-26 14:10:00Z louis $
  * @package		Joomla.Framework
  * @subpackage	Utilities
- * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+ * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
  * Joomla! is free software. This version may have been modified pursuant to the
  * GNU General Public License, and as distributed it includes or is derivative
diff -aruN --binary 15/libraries/joomla/utilities/buffer.php 16/libraries/joomla/utilities/buffer.php
--- 15/libraries/joomla/utilities/buffer.php	2009-11-04 18:51:20.000000000 +0100
+++ 16/libraries/joomla/utilities/buffer.php	2010-04-23 13:40:18.000000000 +0200
@@ -3,7 +3,7 @@
  * @version		$Id:buffer.php 6961 2007-03-15 16:06:53Z tcp $
  * @package		Joomla.Framework
  * @subpackage	Utilities
- * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+ * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
  * Joomla! is free software. This version may have been modified pursuant
  * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/libraries/joomla/utilities/compat/compat.php 16/libraries/joomla/utilities/compat/compat.php
--- 15/libraries/joomla/utilities/compat/compat.php	2009-05-29 13:54:32.000000000 +0200
+++ 16/libraries/joomla/utilities/compat/compat.php	2010-04-23 13:40:18.000000000 +0200
@@ -3,7 +3,7 @@
 * @version		$Id:compat.php 6961 2007-03-15 16:06:53Z tcp $
 * @package		Joomla.Framework
 * @subpackage	Compatibility
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/libraries/joomla/utilities/compat/php50x.php 16/libraries/joomla/utilities/compat/php50x.php
--- 15/libraries/joomla/utilities/compat/php50x.php	2009-07-23 03:25:36.000000000 +0200
+++ 16/libraries/joomla/utilities/compat/php50x.php	2010-04-23 13:40:18.000000000 +0200
@@ -3,7 +3,7 @@
 * @version		$Id:php50x.php 6961 2007-03-15 16:06:53Z tcp $
 * @package		Joomla.Framework
 * @subpackage	Compatibility
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/libraries/joomla/utilities/compat/php51x.php 16/libraries/joomla/utilities/compat/php51x.php
--- 15/libraries/joomla/utilities/compat/php51x.php	2009-11-04 18:51:20.000000000 +0100
+++ 16/libraries/joomla/utilities/compat/php51x.php	2010-04-23 13:40:18.000000000 +0200
@@ -3,7 +3,7 @@
 * @version		$Id:php50x.php 6961 2007-03-15 16:06:53Z tcp $
 * @package		Joomla.Framework
 * @subpackage	Compatibility
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/libraries/joomla/utilities/date.php 16/libraries/joomla/utilities/date.php
--- 15/libraries/joomla/utilities/date.php	2009-05-29 13:54:32.000000000 +0200
+++ 16/libraries/joomla/utilities/date.php	2010-04-23 13:40:18.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
-* @version		$Id: date.php 10827 2008-08-27 23:10:15Z charlvn $
+* @version		$Id: date.php 14401 2010-01-26 14:10:00Z louis $
 * @package		Joomla.Framework
 * @subpackage	Utilities
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/libraries/joomla/utilities/simplecrypt.php 16/libraries/joomla/utilities/simplecrypt.php
--- 15/libraries/joomla/utilities/simplecrypt.php	2009-05-29 13:54:32.000000000 +0200
+++ 16/libraries/joomla/utilities/simplecrypt.php	2010-04-23 13:40:18.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
- * @version		$Id: simplecrypt.php 10707 2008-08-21 09:52:47Z eddieajau $
+ * @version		$Id: simplecrypt.php 14401 2010-01-26 14:10:00Z louis $
  * @package		Joomla.Framework
  * @subpackage	Utilities
- * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+ * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
  * Joomla! is free software. This version may have been modified pursuant to the
  * GNU General Public License, and as distributed it includes or is derivative
diff -aruN --binary 15/libraries/joomla/utilities/simplexml.php 16/libraries/joomla/utilities/simplexml.php
--- 15/libraries/joomla/utilities/simplexml.php	2009-05-29 13:54:32.000000000 +0200
+++ 16/libraries/joomla/utilities/simplexml.php	2010-04-23 13:40:18.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
-* @version		$Id: simplexml.php 10815 2008-08-27 01:15:56Z tcp $
+* @version		$Id: simplexml.php 14401 2010-01-26 14:10:00Z louis $
 * @package		Joomla.Framework
 * @subpackage	Utilities
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/libraries/joomla/utilities/string.php 16/libraries/joomla/utilities/string.php
--- 15/libraries/joomla/utilities/string.php	2009-05-29 13:54:32.000000000 +0200
+++ 16/libraries/joomla/utilities/string.php	2010-04-23 13:40:18.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
-* @version		$Id: string.php 11550 2009-01-30 00:32:51Z kdevine $
+* @version		$Id: string.php 14401 2010-01-26 14:10:00Z louis $
 * @package		Joomla.Framework
 * @subpackage	Utilities
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/libraries/joomla/utilities/utility.php 16/libraries/joomla/utilities/utility.php
--- 15/libraries/joomla/utilities/utility.php	2009-05-29 13:54:32.000000000 +0200
+++ 16/libraries/joomla/utilities/utility.php	2010-04-23 13:40:18.000000000 +0200
@@ -1,9 +1,9 @@
 <?php
 /**
- * @version		$Id: utility.php 10707 2008-08-21 09:52:47Z eddieajau $
+ * @version		$Id: utility.php 14401 2010-01-26 14:10:00Z louis $
  * @package		Joomla.Framework
  * @subpackage	Utilities
- * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+ * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
  * Joomla! is free software. This version may have been modified pursuant to the
  * GNU General Public License, and as distributed it includes or is derivative
diff -aruN --binary 15/libraries/joomla/version.php 16/libraries/joomla/version.php
--- 15/libraries/joomla/version.php	2009-11-04 18:51:20.000000000 +0100
+++ 16/libraries/joomla/version.php	2010-04-23 13:40:18.000000000 +0200
@@ -1,8 +1,8 @@
 <?php
 /**
- * @version		$Id: version.php 13426 2009-11-04 16:36:00Z ian $
+ * @version		$Id: version.php 16385 2010-04-23 10:44:15Z ian $
  * @package	Joomla.Framework
- * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+ * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
  * Joomla! is free software. This version may have been modified pursuant
  * to the GNU General Public License, and as distributed it includes or
@@ -26,19 +26,19 @@
 	/** @var string Development Status */
 	var $DEV_STATUS = 'Stable';
 	/** @var int Sub Release Level */
-	var $DEV_LEVEL 	= '15';
+	var $DEV_LEVEL 	= '16';
 	/** @var int build Number */
 	var $BUILD	= '';
 	/** @var string Codename */
-	var $CODENAME 	= 'Wojmamni Ama Mamni';
+	var $CODENAME 	= 'Wojmamni Ama Busani';
 	/** @var string Date */
-	var $RELDATE 	= '05-November-2009';
+	var $RELDATE 	= '24-April-2010';
 	/** @var string Time */
 	var $RELTIME 	= '04:00';
 	/** @var string Timezone */
 	var $RELTZ 	= 'GMT';
 	/** @var string Copyright Text */
-	var $COPYRIGHT 	= 'Copyright (C) 2005 - 2009 Open Source Matters. All rights reserved.';
+	var $COPYRIGHT 	= 'Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.';
 	/** @var string URL */
 	var $URL 	= '<a href="http://www.joomla.org">Joomla!</a> is Free Software released under the GNU General Public License.';
 
diff -aruN --binary 15/libraries/loader.php 16/libraries/loader.php
--- 15/libraries/loader.php	2009-05-29 13:54:48.000000000 +0200
+++ 16/libraries/loader.php	2010-04-23 13:40:18.000000000 +0200
@@ -1,8 +1,8 @@
 <?php
 /**
-* @version $Id: loader.php 10381 2008-06-01 03:35:53Z pasamio $
+* @version $Id: loader.php 14401 2010-01-26 14:10:00Z louis $
 * @package		Joomla.Framework
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/LICENSES.php 16/LICENSES.php
--- 15/LICENSES.php	2009-06-30 21:01:32.000000000 +0200
+++ 16/LICENSES.php	2010-04-23 13:40:10.000000000 +0200
@@ -1,8 +1,8 @@
 <?php
 /**
- * @version		$Id: LICENSES.php 12356 2009-06-24 18:20:14Z ian $
+ * @version		$Id: LICENSES.php 14401 2010-01-26 14:10:00Z louis $
  * @package		Joomla
- * @copyright	Copyright (C) 2005 - 2009 Open Source Matters. All rights reserved.
+ * @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
  * @license		GNU/GPL, see LICENSE.php
  * Joomla! is free software. This version may have been modified pursuant
  * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/media/system/js/caption.js 16/media/system/js/caption.js
--- 15/media/system/js/caption.js	2009-11-04 18:51:20.000000000 +0100
+++ 16/media/system/js/caption.js	2010-04-23 13:40:18.000000000 +0200
@@ -1,6 +1,6 @@
 /**
 * @version		$Id: caption.js 5263 2006-10-02 01:25:24Z webImagery $
-* @copyright	Copyright (C) 2005 - 2009 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
@@ -34,7 +34,10 @@
 		var text      = document.createElement("p");
 		var width     = element.getAttribute("width");
 		var align     = element.getAttribute("align");
-		var docMode = document.documentMode;
+
+		if(!width) {
+			width = element.width;
+		}
 
 		//Windows fix
 		if (!align)
@@ -42,29 +45,23 @@
 		if (!align) // IE DOM Fix
 			align = element.style.styleFloat;
 
+		if (align=="") {
+			align="none";
+		}
+
 		text.appendChild(caption);
 		text.className = this.selector.replace('.', '_');
 
-		if (align=="none") {
-			if (element.title != "") {
-				element.parentNode.replaceChild(text, element);
-				text.parentNode.insertBefore(element, text);
-			}
-		} else {
-			element.parentNode.insertBefore(container, element);
-			container.appendChild(element);
-			if ( element.title != "" ) {
-				container.appendChild(text);
-			}
-			container.className   = this.selector.replace('.', '_');
-			container.className   = container.className + " " + align;
-			container.setAttribute("style","float:"+align);
-
-			//IE8 fix
-			if (!docMode|| docMode < 8) {
-				container.style.width = width + "px";
-			}
+		element.parentNode.insertBefore(container, element);
+		container.appendChild(element);
+		if ( element.title != "" ) {
+			container.appendChild(text);
 		}
+		container.className   = this.selector.replace('.', '_');
+		container.className   = container.className + " " + align;
+		container.setAttribute("style","float:"+align);
+
+		container.style.width = width + "px";
 
 	}
 });
diff -aruN --binary 15/media/system/js/combobox.js 16/media/system/js/combobox.js
--- 15/media/system/js/combobox.js	2009-05-29 13:50:40.000000000 +0200
+++ 16/media/system/js/combobox.js	2010-04-23 13:40:18.000000000 +0200
@@ -1,6 +1,6 @@
 /**
 * @version		$Id: modal.js 5263 2006-10-02 01:25:24Z webImagery $
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/media/system/js/openid.js 16/media/system/js/openid.js
--- 15/media/system/js/openid.js	2009-05-29 13:50:40.000000000 +0200
+++ 16/media/system/js/openid.js	2010-04-23 13:40:18.000000000 +0200
@@ -1,6 +1,6 @@
 /**
 * @version		$Id: modal.js 5263 2006-10-02 01:25:24Z webImagery $
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/media/system/js/switcher.js 16/media/system/js/switcher.js
--- 15/media/system/js/switcher.js	2009-05-29 13:50:40.000000000 +0200
+++ 16/media/system/js/switcher.js	2010-04-23 13:40:18.000000000 +0200
@@ -1,8 +1,8 @@
 /**
-* @version		$Id: switcher.js 10708 2008-08-21 09:58:05Z eddieajau $
+* @version		$Id: switcher.js 14401 2010-01-26 14:10:00Z louis $
 * @package		Joomla
 * @subpackage	Config
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
diff -aruN --binary 15/media/system/js/tabs.js 16/media/system/js/tabs.js
--- 15/media/system/js/tabs.js	2009-05-29 13:50:40.000000000 +0200
+++ 16/media/system/js/tabs.js	2010-04-23 13:40:18.000000000 +0200
@@ -1,6 +1,6 @@
 /**
 * @version		$Id: cookie.js 6138 2007-01-02 03:44:18Z eddiea $
-* @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
+* @copyright	Copyright (C) 2005 - 2010 Open Source Matters. All rights reserved.
 * @license		GNU/GPL, see LICENSE.php
 * Joomla! is free software. This version may have been modified pursuant
 * to the GNU General Public License, and as distributed it includes or
